[llvm-commits] CVS: llvm/test/Programs/DiffOutput.sh
Chris Lattner
lattner at cs.uiuc.edu
Wed Jan 22 09:24:01 PST 2003
Changes in directory llvm/test/Programs:
DiffOutput.sh updated: 1.3 -> 1.4
---
Log message:
Make this work on linux when /usr/dcs/... isn't in the path
---
Diffs of the changes:
Index: llvm/test/Programs/DiffOutput.sh
diff -u llvm/test/Programs/DiffOutput.sh:1.3 llvm/test/Programs/DiffOutput.sh:1.4
--- llvm/test/Programs/DiffOutput.sh:1.3 Thu Apr 4 13:27:22 2002
+++ llvm/test/Programs/DiffOutput.sh Wed Jan 22 09:23:04 2003
@@ -11,8 +11,16 @@
# DIFFOUTPUT - The output filename to make
DIFFOUTPUT=Output/$2.diff-$1
+# Find gnu diff
+if which gdiff
+then
+ DIFF=gdiff
+else
+ DIFF=diff
+fi
+
# Diff the two files.
-gdiff -u Output/$2.out-nat Output/$2.out-$1 > $DIFFOUTPUT || (
+$DIFF -u Output/$2.out-nat Output/$2.out-$1 > $DIFFOUTPUT || (
# They are different!
echo "******************** TEST '$2' FAILED! ********************"
echo "Execution Context Diff:"
More information about the llvm-commits
mailing list